> For the complete documentation index, see [llms.txt](https://docs.i3d.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.i3d.net/api-references/general/dashboard.md).

# Dashboard

All dashboard endpoints

## GET /v3/dashboard/service

> List all services

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Dashboard","description":"All dashboard endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"Service":{"type":"object","required":["id","service","amount"],"properties":{"id":{"type":"integer","format":"integer","description":"The ID of the service","readOnly":true},"service":{"type":"string","format":"","description":"The name of the service","readOnly":true},"amount":{"type":"integer","format":"integer","description":"The amount of service the customer has","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/dashboard/service":{"get":{"tags":["Dashboard"],"summary":"List all services","operationId":"getDashboardServices","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/Service"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```

## GET /v3/dashboard/status

> Get the status of the platform

```json
{"openapi":"3.0.1","info":{"title":"i3D.net Endpoints","version":"3.0.0"},"tags":[{"name":"Dashboard","description":"All dashboard endpoints"}],"servers":[{"url":"https://api.i3d.net"}],"security":[{"ApiKey":[]}],"components":{"securitySchemes":{"ApiKey":{"type":"apiKey","name":"PRIVATE-TOKEN","in":"header"}},"schemas":{"OnlineStatus":{"type":"object","required":["status","groups"],"properties":{"status":{"type":"integer","format":"integer","description":"The status of all the systems\n* 1: All systems operational\n* 2: Multiple systems have performance issues\n* 3: Multiple systems are offline\n* 4: All systems are offline","readOnly":true},"groups":{"type":"array","items":{"$ref":"#/components/schemas/OnlineStatusGroup"},"description":"A list of groups with more detailed status","readOnly":true}},"additionalProperties":false},"OnlineStatusGroup":{"type":"object","required":["name","status","components"],"properties":{"name":{"type":"string","format":"","description":"The name of the group","readOnly":true},"status":{"type":"integer","format":"integer","description":"The status of the group\n* 1: All systems operational\n* 2: Multiple systems have performance issues\n* 3: Multiple systems are offline\n* 4: All systems are offline","readOnly":true},"components":{"type":"array","items":{"$ref":"#/components/schemas/OnlineStatusComponent"},"description":"A list of components for this group","readOnly":true}},"additionalProperties":false},"OnlineStatusComponent":{"type":"object","required":["name","status"],"properties":{"name":{"type":"string","format":"","description":"The name of the component","readOnly":true},"status":{"type":"integer","format":"integer","description":"The status of the component\n* 1: All systems operational\n* 2: Multiple systems have performance issues\n* 3: Multiple systems are offline\n* 4: All systems are offline","readOnly":true}},"additionalProperties":false},"Error":{"type":"object","required":["errorCode","errorMessage","errors"],"properties":{"errorCode":{"type":"integer","format":"integer","description":"Error code"},"errorMessage":{"type":"string","format":"","description":"Error message"},"errors":{"type":"array","items":{"$ref":"#/components/schemas/ErrorDetails"},"description":"Error details"}},"additionalProperties":false},"ErrorDetails":{"type":"object","required":["property","message"],"properties":{"property":{"type":"string","format":"","description":"Property in which there is an error"},"message":{"type":"string","format":"","description":"Error message"}},"additionalProperties":false}}},"paths":{"/v3/dashboard/status":{"get":{"tags":["Dashboard"],"summary":"Get the status of the platform","operationId":"getDashboardStatuses","responses":{"200":{"description":"OK","content":{"application/json":{"schema":{"type":"array","items":{"$ref":"#/components/schemas/OnlineStatus"}}}}},"403":{"description":"Invalid credentials"},"500":{"description":"Internal Server Error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/Error"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.i3d.net/api-references/general/dashboard.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
